Subject: Re: [PATCH next] phy: renesas: rcar-gen3-usb2: Drop local devm_mux_state_get_optional()

From: Vinod Koul <[email-masked]>
Date: Thu, 12 Feb 2026 10:29:12 +0530

Hi Geert,

On 11-02-26, 17:30, Geert Uytterhoeven wrote:
> Hi Vinod,
> 
> On Wed, 11 Feb 2026 at 17:17, Vinod Koul <[email-masked]> wrote:
> > On 10-02-26, 14:34, Ulf Hansson wrote:
> > > On Tue, 10 Feb 2026 at 11:53, Geert Uytterhoeven
> > > <[email-masked]> wrote:
> > > > Now the mux core provides devm_mux_state_get_optional():
> > > >
> > > >     drivers/phy/renesas/phy-rcar-gen3-usb2.c:944:1: error: static declaration of ‘devm_mux_state_get_optional’ follows non-static
> > > >      declaration
> > > >       944 | devm_mux_state_get_optional(struct device *dev, const char *mux_name)
> > > >           | ^~~~~~~~~~~~~~~~~~~~~~~~~~~
> > > >     In file included from drivers/phy/renesas/phy-rcar-gen3-usb2.c:20:
> > > >     include/linux/mux/consumer.h:64:19: note: previous declaration of ‘devm_mux_state_get_optional’ with type ‘struct mux_state *(struct device *, const char *)’
> > > >        64 | struct mux_state *devm_mux_state_get_optional(struct device *dev, const char *mux_name);
> > > >           |                   ^~~~~~~~~~~~~~~~~~~~~~~~~~~
> > > >
> > > > Fix this by dropping the temporary local wrapper.
> > > >
> > > > Fixes: ad314348ceb4fe1f ("mux: Add helper functions for getting optional and selected mux-state")
> > > > Fixes: 8bb92fd7a0407792 ("phy: renesas: rcar-gen3-usb2: Use mux-state for phyrst management")
> > > > Signed-off-by: Geert Uytterhoeven <[email-masked]>
> > >
> > > Thanks Geert for helping out!
> > >
> > > > ---
> > > >   - ad314348ceb4fe1f is in mmc/next, and a PR has already been sent
> > > >     https://lore.kernel.org/[email-masked]
> > > >   - 8bb92fd7a0407792 is in phy/next
> > >
> > > Vinod, do you want to pick up the $subject patch as a fix for 7.0-rc1
> > > or do you prefer me to handle it?
> >
> > Should I drop the 8bb92fd7a0407792 and it makes things easier for
> > everyone and then we can pick fixed commit for 7.1 cycle..
> >
> > Does that work for everyone. I was about to send PR, will hold off for a
> > bit.
> 
> Alternatively, you can mention the semantic conflict in your PR to Linus,
> and ask him to fold my patch into the merge commit.

Hmmm, that is also a good option but might leave Linus a bit grumpy so
bit reluctant. Dropping and getting right implementation would be
better. I think it was a mistake to pick or this all could have gone
thru mux tree.

Thanks
-- 
~Vinod